ubuntu下的虾米音乐客户端安装问题(我是小白)

原创
2014/11/14 23:09
阅读数 681

去github.com/timxx/xmradio下载源码。

进入终端解压,

进如xmradio文件夹

安装步骤写在了README.md

mkdir build

cd build

cmake ../SOURCE_CODE_DIR -DCMAKE_INSTALL_PREFIX=YOUR_PREFIX OTHER_OPTIONS

/************************************************/

比如我要把文件安装到/usr

cmake .. -DCMAKE_INSTALL_PREFIX=/usr

/*************************************************/

make

make install

cmake时候遇到好多库的问题。

好多依赖的库都没有安装

看报错信息

缺什么补什么

apt-cache search packagename  

搜索缺少的包,一般安装****-dev就行

sudo apt-get install 安装需要的包就行了

举个例子:

报错缺少“libpeas-1.0”

开个终端

apt-cache search libpeas-1.0*

/***********************************************/

注意不要直接搜“libpeas-1.0”因为这样搜结果只有

libpeas-1.0-0 - Application plugin library

/***********************************************/


搜索结果:

gir1.2-peas-1.0 - Application plugin library (introspection files)

libpeas-1.0-0 - Application plugin library

libpeas-common - Application plugin library (common files)

libpeas-dev - Application plugin library (development files)

libpeas-doc - Application plugin library (documentation)

安装libpeas-dev:

sudo apt-get install libpeas-dev -y



一步步把所有缺少的库都安装好就可以了

来个图,很舒服播放器









           

展开阅读全文
加载中
点击引领话题📣 发布并加入讨论🔥
打赏
0 评论
1 收藏
1
分享
返回顶部
顶部